/****************************************************************************
File    : MainFrame.h
/*
@(#) #SY# Atari800Win
@(#) #IS# Interface of the CMainFrame class
@(#) #BY# Richard Lawrence, Harry (modifications and code maintenance)
@(#) #LM# 22.02.2000
*/

#ifndef __MAINFRAME_H__
#define __MAINFRAME_H__

#if _MSC_VER >= 1000
#pragma once
#endif //_MSC_VER >= 1000


/////////////////////////////////////////////////////////////////////////////
// CMainFrame window

class CMainFrame : public CFrameWnd
{
// Construction/destruction
protected:
	// Create from serialization only
	DECLARE_DYNCREATE(CMainFrame)
	CMainFrame();
	virtual ~CMainFrame();

// Interface: operations
public:

// Interface: attributes
public:

#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

// Implementation: operations
private:
	void DriveInsert( int nDriveNum );
	void SaveState  ( UINT unSaveRom );

// Implementation: overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void ActivateFrame(int nCmdShow = -1);
	//}}AFX_VIRTUAL

// Implementation: attributes
protected:
	// Control bar embedded members
	CToolBar   m_wndToolBar;
	CStatusBar m_wndStatusBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnFileReadState();
	afx_msg void OnFileSaveState();
	afx_msg void OnFileSaveStateRoms();
	afx_msg void OnFileDcmToAtr();
	afx_msg void OnFileViewLog();
	afx_msg void OnAtariCartridge();
	afx_msg void OnAtariDisk();
	afx_msg void OnAtariHarddisk();
	afx_msg void OnAtariHardware();
	afx_msg void OnAtarLoadExe();
	afx_msg void OnAtariReboot();
	afx_msg void OnOptionsGraphics();
	afx_msg void OnOptionsSound();
	afx_msg void OnOptionsJoystick();
	afx_msg void OnOptionsKeyboard();
	afx_msg void OnOptionsSoundFile();
	afx_msg void OnOptionsArtif();
	afx_msg void OnMiscBenchmark();
	afx_msg void OnMiscSoundPokeySpeed();
	afx_msg void OnMiscFileAssociations();
	afx_msg void OnMiscClearAll();
	afx_msg void OnMiscMonitor();
	afx_msg void OnMove(int x, int y);
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

#endif //__MAINFRAME_H__
